<?php
/**
 * Template for displaying product price at rss feeds pages
 *
 * @@var $this Mage_Catalog_Block_Product_Price
 */

/** @@var $_product Mage_Catalog_Model_Product */
    $_product = $this->getProduct();
    $_tpl = $this->helper('designer')->createTemplate('product/price/text');
    $_regularPriceId = $this->getRegularPriceId();
    $_oldPriceId = $this->getOldPriceId();
?>
<div class="price-box map-info">
    <?php if ($this->helper('catalog')->canApplyMsrp($_product)): ?>
        <?php $_tpl->section('price') ?>
            <a href="<?php echo $_product->getProductUrl() ?>"><?php echo $this->__('Click for price'); ?></a>
        <?php echo $_tpl->setControlId($_regularPriceId)->render() ?>
    <?php endif; ?>
</div>
